<?php

/**
 * Joss framework & content management system.
 * Customized Google Analytics tracking module
 * Created 15.7.2009.
 *
 * @author    Michal Janík http://www.michaljanik.cz/gatc
 * @link      http://code.google.com/p/joss-cms/
 * @license   GNU GENERAL PUBLIC LICENSE version 2
 */

class JPGoogleAnalytics extends JPlugin {
	
	public $cached = FALSE;

	public $type = Texy::CONTENT_MARKUP;
	
	public function __construct($args, $texy) {
		parent::__construct($args, $texy);
	}
	
	public function process() {
		if (empty($this->args[0])) {
			return NULL;
		}
		return '
			<script type="text/javascript">
			var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
			document.write(unescape("%3Cscript src=\'" + gaJsHost + "google-analytics.com/ga.js\' type=\'text/javascript\'%3E%3C/script%3E"));
			</script>
			<script type="text/javascript">
			var pageTracker = _gat._getTracker("' . (string)$this->args[0] . '");
			</script>
			<script type="text/javascript" src="/ga-setup.js"></script>
			<script type="text/javascript">
			pageTracker._trackPageview(); 
			</script>
		';
	}
	
}
